Skip site navigation (1)Skip section navigation (2)
Date:      Tue, 24 Feb 2015 22:02:50 GMT
From:      kczekirda@FreeBSD.org
To:        svn-soc-all@FreeBSD.org
Subject:   socsvn commit: r278253 - soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall
Message-ID:  <201502242202.t1OM2oew098151@socsvn.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: kczekirda
Date: Tue Feb 24 22:02:49 2015
New Revision: 278253
URL: http://svnweb.FreeBSD.org/socsvn/?view=rev&rev=278253

Log:
  merge to HEAD

Modified:
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/auto
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/hostname
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/keymap
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/mirrorselect
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig_ipv4
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig_ipv6
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/script
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/services
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/time
  soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/zfsboot

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/auto
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/auto	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/auto	Tue Feb 24 22:02:49 2015	(r278253)
@@ -31,17 +31,19 @@
 
 BSDCFG_SHARE="/usr/share/bsdconfig"
 . $BSDCFG_SHARE/common.subr || exit 1
-f_dprintf "%s: loading includes..." "$0"
-f_include $BSDCFG_SHARE/device.subr
 
 ############################################################ FUNCTIONS
 
 error() {
+	local msg
+	if [ -n "$1" ]; then
+		msg="$1\n\n"
+	fi
 	test -n "$DISTDIR_IS_UNIONFS" && umount -f $BSDINSTALL_DISTDIR
 	test -f $PATH_FSTAB && bsdinstall umount
 	dialog --backtitle "FreeBSD Installer" --title "Abort" \
 	    --no-label "Exit" --yes-label "Restart" --yesno \
-	    "An installation step has been aborted. Would you like to restart the installation or exit the installer?" 0 0
+	    "${msg}An installation step has been aborted. Would you like to restart the installation or exit the installer?" 0 0
 	if [ $? -ne 0 ]; then
 		exit 1
 	else
@@ -60,7 +62,7 @@
 bsdinstall keymap
 
 trap error SIGINT	# Catch cntrl-C here
-bsdinstall hostname || error
+bsdinstall hostname || error "Set hostname failed"
 
 export DISTRIBUTIONS="base.txz kernel.txz"
 if [ -f $BSDINSTALL_DISTDIR/MANIFEST ]; then
@@ -76,7 +78,6 @@
 	for dist in $EXTRA_DISTS; do
 		export DISTRIBUTIONS="$DISTRIBUTIONS $dist.txz"
 	done
-    [ -n "$TOFILE" ] && echo "DISTRIBUTIONS=\"$DISTRIBUTIONS\"" >> "$TOFILE"
 fi
 
 FETCH_DISTRIBUTIONS=""
@@ -87,7 +88,7 @@
 done
 FETCH_DISTRIBUTIONS=`echo $FETCH_DISTRIBUTIONS`	# Trim white space
 
-if [ -n "$FETCH_DISTRIBUTIONS" -a -n "$BSDINSTALL_CONFIGCURRENT" -a -z "$TOFILE" ]; then
+if [ -n "$FETCH_DISTRIBUTIONS" -a -n "$BSDINSTALL_CONFIGCURRENT" ]; then
 	dialog --backtitle "FreeBSD Installer" --title "Network Installation" --msgbox "No installation files were found on the boot volume. The next few screens will allow you to configure networking so that they can be downloaded from the Internet." 0 0
 	bsdinstall netconfig || error
 	NETCONFIG_DONE=yes
@@ -98,29 +99,22 @@
 	BSDINSTALL_DISTSITE=$(`dirname $0`/mirrorselect 2>&1 1>&3)
 	MIRROR_BUTTON=$?
 	exec 3>&-
-	test $MIRROR_BUTTON -eq 0 || error
+	test $MIRROR_BUTTON -eq 0 || error "No mirror selected"
 	export BSDINSTALL_DISTSITE
 fi
 
-if [ -z "$TOFILE" ]; then
-    rm -f $PATH_FSTAB
-    touch $PATH_FSTAB
-fi
+rm -f $PATH_FSTAB
+touch $PATH_FSTAB
 
 PMODES="\
-Guided \"Partitioning Tool (Recommended for Beginners)\" \
-Manual \"Manually Configure Partitions (Expert)\" \
+\"Auto (UFS)\" \"Guided Disk Setup\" \
+Manual \"Manual Disk Setup (experts)\" \
 Shell \"Open a shell and partition by hand\""
 
-if [ ! -z "$TOFILE" ]; then
-    PMODES="\
-    Classic \"Choose disk for installation\""
-fi
-
 CURARCH=$( uname -m )
 case $CURARCH in
 	amd64|i386)	# Booting ZFS Supported
-		PMODES="$PMODES ZFS \"Automatic Root-on-ZFS (Experimental)\""
+		PMODES="$PMODES \"Auto (ZFS)\" \"Guided Root-on-ZFS\""
 		;;
 	*)		# Booting ZFS Unspported
 		;;
@@ -134,9 +128,9 @@
 exec 3>&-
 
 case "$PARTMODE" in
-"Guided")	# Guided
-	bsdinstall autopart || error
-	bsdinstall mount || error
+"Auto (UFS)")	# Guided
+	bsdinstall autopart || error "Partitioning error"
+	bsdinstall mount || error "Failed to mount filesystem"
 	;;
 "Shell")	# Shell
 	clear
@@ -146,52 +140,27 @@
 "Manual")	# Manual
 	if f_isset debugFile; then
 		# Give partedit the path to our logfile so it can append
-		BSDINSTALL_LOG="${debugFile#+}" bsdinstall partedit || error
+		BSDINSTALL_LOG="${debugFile#+}" bsdinstall partedit || error "Partitioning error"
 	else
-		bsdinstall partedit || error
+		bsdinstall partedit || error "Partitioning error"
 	fi
-	bsdinstall mount || error
+	bsdinstall mount || error "Failed to mount filesystem"
 	;;
-"Classic")  # only disk choise
-    disks=
-    debug= f_device_find "" $DEVICE_TYPE_DISK disks
-    f_device_sort_by name disks disks
-
-    disk_check_list=
-    for disk in $disks; do
-        desc=
-        $disk get name name
-        $disk get desc desc
-        f_shell_escape "$desc" desc
-        f_getvar _${disk}_status:-off onoff
-        disk_check_list="$disk_check_list
-            $name '$desc' "
-    done
-
-    exec 3>&1
-    DISK=`echo "$disk_check_list" | xargs dialog --backtitle 'FreeBSD Installer' --title 'Target Selection' --menu 'Please select a disk to install FreeBSD:' 0 0 0 2>&1 1>&3`
-    if [ $? -eq $DIALOG_CANCEL ]; then exit 1; fi
-    exec 3>&-
-    
-    echo "PARTITIONS=\"$DISK { auto freebsd-ufs /}\"" >> "$TOFILE" 
-    ;;
-"ZFS")	# ZFS
-	bsdinstall zfsboot || error
-    if [ -z "$TOFILE" ]; then
-        bsdinstall mount || error
-    fi
+"Auto (ZFS)")	# ZFS
+	bsdinstall zfsboot || error "ZFS setup failed"
+	bsdinstall mount || error "Failed to mount filesystem"
 	;;
 *)
-	error
+	error "Unknown partitioning mode"
 	;;
 esac
 
-if [ ! -z "$FETCH_DISTRIBUTIONS" -a -z "$TOFILE" ]; then
+if [ ! -z "$FETCH_DISTRIBUTIONS" ]; then
 	ALL_DISTRIBUTIONS="$DISTRIBUTIONS"
 
 	# Download to a directory in the new system as scratch space
 	BSDINSTALL_FETCHDEST="$BSDINSTALL_CHROOT/usr/freebsd-dist"
-	mkdir -p "$BSDINSTALL_FETCHDEST" || error
+	mkdir -p "$BSDINSTALL_FETCHDEST" || error "Could not create directory $BSDINSTALL_FETCHDEST"
 
 	export DISTRIBUTIONS="$FETCH_DISTRIBUTIONS"
 	# Try to use any existing distfiles
@@ -204,15 +173,13 @@
 	fi
 		
 	export FTP_PASSIVE_MODE=YES
-	bsdinstall distfetch || error
+	bsdinstall distfetch || error "Failed to fetch distribution"
 	export DISTRIBUTIONS="$ALL_DISTRIBUTIONS"
 fi
 
-if [ -z "$TOFILE" ]; then
-    bsdinstall checksum || error
-    bsdinstall distextract || error
-    bsdinstall rootpass || error
-fi
+bsdinstall checksum || error "Distribution checksum failed"
+bsdinstall distextract || error "Distribution extract failed"
+bsdinstall rootpass || error "Could not set root password"
 
 trap true SIGINT	# This section is optional
 if [ "$NETCONFIG_DONE" != yes ]; then
@@ -221,11 +188,9 @@
 bsdinstall time
 bsdinstall services
 
-if [ -z "$TOFILE" ]; then
-    dialog --backtitle "FreeBSD Installer" --title "Add User Accounts" --yesno \
-        "Would you like to add users to the installed system now?" 0 0 && \
-        bsdinstall adduser
-fi
+dialog --backtitle "FreeBSD Installer" --title "Add User Accounts" --yesno \
+	"Would you like to add users to the installed system now?" 0 0 && \
+	bsdinstall adduser
 
 finalconfig() {
 	exec 3>&1
@@ -275,22 +240,20 @@
 }
 
 # Allow user to change his mind
-[ -z "$TOFILE" ] && finalconfig
+finalconfig
 
 trap error SIGINT	# SIGINT is bad again
-if [ -z "$TOFILE" ]; then
-    bsdinstall config  || error
-fi
+bsdinstall config  || error "Failed to save config"
 
-if [ ! -z "$BSDINSTALL_FETCHDEST" -a -z "$TOFILE" ]; then
+if [ ! -z "$BSDINSTALL_FETCHDEST" ]; then
 	[ "$BSDINSTALL_FETCHDEST" != "$BSDINSTALL_DISTDIR" ] && \
 	    umount "$BSDINSTALL_DISTDIR"
 	rm -rf "$BSDINSTALL_FETCHDEST"
 fi
 
-if [ -z "$TOFILE" ]; then
 dialog --backtitle "FreeBSD Installer" --title "Manual Configuration" \
-    --yesno "The installation is now finished. Before exiting the installer, would you like to open a shell in the new system to make any final manual modifications?" 0 0
+    --default-button no --yesno \
+   "The installation is now finished. Before exiting the installer, would you like to open a shell in the new system to make any final manual modifications?" 0 0
 if [ $? -eq 0 ]; then
 	clear
 	mount -t devfs devfs "$BSDINSTALL_CHROOT/dev"
@@ -301,7 +264,6 @@
 
 bsdinstall entropy
 bsdinstall umount
-fi
 
 f_dprintf "Installation Completed at %s" "$( date )"
 

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/hostname
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/hostname	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/hostname	Tue Feb 24 22:02:49 2015	(r278253)
@@ -42,12 +42,7 @@
 if [ $? -eq $DIALOG_CANCEL ]; then exit 1; fi
 exec 3>&-
 
-if [ -z "$TOFILE" ]; then
-	echo "hostname=\"$HOSTNAME\"" > $BSDINSTALL_TMPETC/rc.conf.hostname 
-else
-	echo "HOSTNAME=\"$HOSTNAME\"" >> "$TOFILE"
-fi
-
+echo "hostname=\"$HOSTNAME\"" > $BSDINSTALL_TMPETC/rc.conf.hostname
 if [ ! -z $BSDINSTALL_CONFIGCURRENT ]; then
 	hostname -s "$HOSTNAME"
 fi

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/keymap
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/keymap	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/keymap	Tue Feb 24 22:02:49 2015	(r278253)
@@ -222,17 +222,12 @@
 	n=$( eval f_dialog_menutag2index_with_help \
 		\"\$menu_choice\" $menu_list )
 
-	# Turn that number in the name of the keymap struct
+	# Turn that number ithe name of the keymap struct
 	k=$( set -- $KEYMAPS; eval echo \"\${$(( $n - 2))}\" )
 
 	# Get actual keymap setting while we update $keymap and $KEYMAPFILE
 	keymap_$k get keym keymap
-	if [ -z "$TOFILE" ]; then
-		echo "keymap=\"$keymap\"" > "$KEYMAPFILE"
-	else
-		echo "KEYMAP=\"$keymap\"" >> "$TOFILE"
-	fi
-
+	echo "keymap=\"$keymap\"" > "$KEYMAPFILE"
 done
 
 f_quietly f_keymap_kbdcontrol "$keymap"

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/mirrorselect
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/mirrorselect	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/mirrorselect	Tue Feb 24 22:02:49 2015	(r278253)
@@ -158,6 +158,7 @@
 exec 3>&-
 
 _UNAME_R=`uname -r`
+_UNAME_R=${_UNAME_R%-p*}
 
 case ${_UNAME_R} in
 	*-CURRENT|*-STABLE|*-PRERELEASE)
@@ -170,12 +171,6 @@
 
 BSDINSTALL_DISTSITE="$MIRROR/pub/FreeBSD/${RELDIR}/`uname -m`/`uname -p`/${_UNAME_R}"
 
-if [ "$TOFILE" ]; then
-	echo "MIRROR=\"$MIRROR\"" >> "$TOFILE"
-	echo "RELDIR=\"$RELDIR\"" >> "$TOFILE"
-	echo "RELEASE=\"${_UNAME_R}\"" >> "$TOFILE"
-fi
-
 case $MIRROR_BUTTON in
 $DIALOG_CANCEL)
 	exit 1

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig	Tue Feb 24 22:02:49 2015	(r278253)
@@ -69,11 +69,7 @@
 if [ $? -eq $DIALOG_CANCEL ]; then exit 1; fi
 exec 3>&-
 
-if [ -z "$TOFILE" ]; then
-	: > $BSDINSTALL_TMPETC/._rc.conf.net
-else
-	echo INTERFACE=\"$INTERFACE\" >> "$TOFILE"
-fi
+: > $BSDINSTALL_TMPETC/._rc.conf.net
 
 IFCONFIG_PREFIX=""
 if is_wireless_if $INTERFACE; then
@@ -107,7 +103,6 @@
 		exec $0
 	else
 		IPV4_AVAIL=0
-		[ "$TOFILE" ] && echo IPV4=\"NO\" >> "$TOFILE"
 	fi
 fi
 # In case wlanconfig left an option and we do not support IPv4 we need to write
@@ -122,12 +117,9 @@
 		bsdinstall netconfig_ipv6 ${INTERFACE} || exec $0
 	else
 		IPV6_AVAIL=0
-		[ "$TOFILE" ] && echo IPV6=\"NO\" >> "$TOFILE"
 	fi
 fi
 
-[ "$TOFILE" ] && cp /etc/resolv.conf $BSDINSTALL_TMPETC
-
 SEARCH=""
 IP4_1=""
 IP4_2=""
@@ -191,59 +183,30 @@
 if [ $? -eq $DIALOG_CANCEL ]; then exec $0; fi
 exec 3>&-
 
-if [ -z "$TOFILE" ]; then
-	echo ${RESOLV} | tr ' ' '\n' | \
-	awk '
-	BEGIN {
-		search=-1;
+echo ${RESOLV} | tr ' ' '\n' | \
+awk '
+BEGIN {
+	search=-1;
+}
+{
+	if (/^[[:space:]]+$/) {
+		next;
 	}
-	{
-		if (/^[[:space:]]+$/) {
-			next;
-		}
-		if (/^Nameserver$/) {
-			printf "\n";
-			search=0;
-			next;
-		}
-		if (search == -1) {
-			printf "search ";
-			search=1;
-		}
-		if (search > 0) {
-			printf "%s%s", (search > 1) ? " " : "", $1;
-			search++;
-			next;
-		}
-		printf "nameserver %s\n", $1;
-	}' > ${BSDINSTALL_TMPETC}/resolv.conf
-	mv $BSDINSTALL_TMPETC/._rc.conf.net $BSDINSTALL_TMPETC/rc.conf.net
-else
-	echo ${RESOLV} | tr ' ' '\n' | \
-	awk '
-	BEGIN {
-		search=-1;
-		dns=1;
+	if (/^Nameserver$/) {
+		printf "\n";
+		search=0;
+		next;
 	}
-	{
-		if (/^[[:space:]]+$/) {
-			next;
-		}
-		if (/^Nameserver$/) {
-			printf "\"\n";
-			search=0;
-			next;
-		}
-		if (search == -1) {
-			printf "DOMAIN=\"";
-			search=1;
-		}
-		if (search > 0) {
-			printf "%s%s", (search > 1) ? " " : "", $1;
-			search++;
-			next;
-		}
-		printf "DNS%s=\"%s\"\n", dns, $1;
-		dns++;
-	}' >> "$TOFILE"
-fi
+	if (search == -1) {
+		printf "search ";
+		search=1;
+	}
+	if (search > 0) {
+		printf "%s%s", (search > 1) ? " " : "", $1;
+		search++;
+		next;
+	}
+	printf "nameserver %s\n", $1;
+}' > ${BSDINSTALL_TMPETC}/resolv.conf
+
+mv $BSDINSTALL_TMPETC/._rc.conf.net $BSDINSTALL_TMPETC/rc.conf.net

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig_ipv4
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig_ipv4	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig_ipv4	Tue Feb 24 22:02:49 2015	(r278253)
@@ -48,11 +48,7 @@
 
 dialog --backtitle 'FreeBSD Installer' --title 'Network Configuration' --yesno 'Would you like to use DHCP to configure this interface?' 0 0
 if [ $? -eq $DIALOG_OK ]; then
-	if [ -z "$TOFILE" ]; then
-		echo ifconfig_$INTERFACE=\"${IFCONFIG_PREFIX}DHCP\" >> $BSDINSTALL_TMPETC/._rc.conf.net
-	else
-		echo DHCP=\"YES\" >> "$TOFILE"
-	fi
+	echo ifconfig_$INTERFACE=\"${IFCONFIG_PREFIX}DHCP\" >> $BSDINSTALL_TMPETC/._rc.conf.net
 
 	if [ ! -z $BSDINSTALL_CONFIGCURRENT ]; then
 		dialog --backtitle 'FreeBSD Installer' --infobox "Acquiring DHCP lease..." 0 0
@@ -66,8 +62,6 @@
 	exit 0
 fi
 
-[ -z "$TOFILE" ] && echo DHCP=\"NO\" >> "$TOFILE"
-
 IP_ADDRESS=`ifconfig $INTERFACE inet | awk '/inet/ {printf("%s\n", $2); }'`
 NETMASK=`ifconfig $INTERFACE inet | awk '/inet/ {printf("%s\n", $4); }'`
 ROUTER=`netstat -rn -f inet | awk '/default/ {printf("%s\n", $2);}'`
@@ -81,19 +75,11 @@
 if [ $? -eq $DIALOG_CANCEL ]; then exit 1; fi
 exec 3>&-
 
-if [ -z "$TOFILE" ]; then
-	echo $INTERFACE $IF_CONFIG | 
-		awk -v prefix="$IFCONFIG_PREFIX" '{
-		printf("ifconfig_%s=\"%s\inet %s netmask %s\"\n", $1, prefix, $2, $3);
-		printf("defaultrouter=\"%s\"\n", $4);
-		}' >> $BSDINSTALL_TMPETC/._rc.conf.net
-else
-	echo $IF_CONFIG | 
-		awk '{printf("ADDRESSV4=\"%s\"\n", $1);
-		printf("NETMASK=\"%s\"\n", $2);
-		printf("GWV4=\"%s\"\n", $3);
-		}' >> "$TOFILE"
-fi
+echo $INTERFACE $IF_CONFIG | 
+	awk -v prefix="$IFCONFIG_PREFIX" '{
+	printf("ifconfig_%s=\"%s\inet %s netmask %s\"\n", $1, prefix, $2, $3);
+	printf("defaultrouter=\"%s\"\n", $4);
+	}' >> $BSDINSTALL_TMPETC/._rc.conf.net
 
 if [ ! -z $BSDINSTALL_CONFIGCURRENT ]; then
 	. $BSDINSTALL_TMPETC/._rc.conf.net

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig_ipv6
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig_ipv6	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/netconfig_ipv6	Tue Feb 24 22:02:49 2015	(r278253)
@@ -53,8 +53,6 @@
 	;;
 esac
 
-[ -z "$TOFILE" ] && echo IPV6=\"YES\" >> "$TOFILE"
-
 AGAIN=""
 while : ; do
 	MSG="Would you like to try stateless address autoconfiguration (SLAAC)${AGAIN}?"
@@ -73,14 +71,9 @@
 				continue
 			fi
 		fi
-		if [ -z "$TOFILE" ]; then
-			echo ifconfig_${INTERFACE}_ipv6=\"inet6 accept_rtadv\" >> $BSDINSTALL_TMPETC/._rc.conf.net
-		else
-			echo SLAAC=\"YES\" >> "$TOFILE"
-		fi
+		echo ifconfig_${INTERFACE}_ipv6=\"inet6 accept_rtadv\" >> $BSDINSTALL_TMPETC/._rc.conf.net
 		exit 0
 	else
-		echo SLAAC=\"NO\" >> "$TOFILE"
 		break
 	fi
 done
@@ -120,65 +113,34 @@
 if [ $? -eq $DIALOG_CANCEL ]; then exit 1; fi
 exec 3>&-
 
-if [ -z "$TOFILE" ]; then
-	echo ${IF_CONFIG} | tr ' ' '\n' | \
-	awk -v iface="${INTERFACE}" '
-	BEGIN {
-		dfr=0;
-		count=0;
-	}
-	{
-		if (/^[[:space:]]+$/) {
-			next;
-		}
-		if (/DefaultRouter/) {
-			dfr=1;
-			next;
-		}
-		if (dfr == 1) {
-			printf("ipv6_defaultrouter=\"%s\"\n", $1);
-			next;
-		}
-		if (count > 0) {
-			# Ignore all but the first IP address for now.
-			next;
-		}
-		count++;
-		if (!match($1, "/")) {
-			sub("$", "/64", $1);
-		}
-		printf("ifconfig_%s_ipv6=\"inet6 %s\"\n", iface, $1);
-	}' >> $BSDINSTALL_TMPETC/._rc.conf.net
-else
-	echo ${IF_CONFIG} | tr ' ' '\n' | \
-	awk -v iface="${INTERFACE}" '
-	BEGIN {
-		dfr=0;
-		count=0;
-	}
-	{
-		if (/^[[:space:]]+$/) {
-			next;
-		}
-		if (/DefaultRouter/) {
-			dfr=1;
-			next;
-		}
-		if (dfr == 1) {
-			printf("GWV6=\"%s\"\n", $1);
-			next;
-		}
-		if (count > 0) {
-			# Ignore all but the first IP address for now.
-			next;
-		}
-		count++;
-		if (!match($1, "/")) {
-			sub("$", "/64", $1);
-		}
-		printf("ADDRESSV6=\"%s\"\n", $1);
-	}' >> "$TOFILE"
-fi
+echo ${IF_CONFIG} | tr ' ' '\n' | \
+awk -v iface="${INTERFACE}" '
+BEGIN {
+	dfr=0;
+	count=0;
+}
+{
+	if (/^[[:space:]]+$/) {
+		next;
+	}
+	if (/DefaultRouter/) {
+		dfr=1;
+		next;
+	}
+	if (dfr == 1) {
+		printf("ipv6_defaultrouter=\"%s\"\n", $1);
+		next;
+	}
+	if (count > 0) {
+		# Ignore all but the first IP address for now.
+		next;
+	}
+	count++;
+	if (!match($1, "/")) {
+		sub("$", "/64", $1);
+	}
+	printf("ifconfig_%s_ipv6=\"inet6 %s\"\n", iface, $1);
+}' >> $BSDINSTALL_TMPETC/._rc.conf.net
 
 if [ ! -z $BSDINSTALL_CONFIGCURRENT ]; then
 	. $BSDINSTALL_TMPETC/._rc.conf.net

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/script
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/script	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/script	Tue Feb 24 22:02:49 2015	(r278253)
@@ -285,7 +285,7 @@
 fi
 
 bsdinstall entropy
-#bsdinstall umount
+[ -z "$ZFSBOOT" ] && bsdinstall umount
 
 f_dprintf "Installation Completed at %s" "$( date )"
 

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/services
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/services	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/services	Tue Feb 24 22:02:49 2015	(r278253)
@@ -43,6 +43,7 @@
     --title "System Configuration" --nocancel --separate-output \
     --checklist "Choose the services you would like to be started at boot:" \
     0 0 0 \
+	local_unbound "Local caching validating resolver" ${local_unbound:-off} \
 	sshd	"Secure shell daemon" ${sshd_enable:-off} \
 	moused	"PS/2 mouse pointer on console" ${moused_enable:-off} \
 	ntpd	"Synchronize system and network time" ${ntpd_enable:-off} \
@@ -53,24 +54,15 @@
 exec 3>&-
 
 havedump=
-
-if [ -z "$TOFILE" ]; then
-	for daemon in $DAEMONS; do
+for daemon in $DAEMONS; do
 	[ "$daemon" = "dumpdev" ] && havedump=1 continue
-		echo ${daemon}_enable=\"YES\" >> $BSDINSTALL_TMPETC/rc.conf.services
-	done
-else
-	for daemon in $DAEMONS; do
-		DAEMONLIST="$DAEMONLIST $daemon"
-	done
-	echo "DAEMONS=\"$DAEMONLIST\"" >> "$TOFILE"
-fi
+	echo ${daemon}_enable=\"YES\" >> $BSDINSTALL_TMPETC/rc.conf.services
+done
 
 echo '# Set dumpdev to "AUTO" to enable crash dumps, "NO"' \
 	'to disable' >> $BSDINSTALL_TMPETC/rc.conf.services
 if [ "$havedump" ]; then
-	[ -z "$TOFILE" ] && echo dumpdev=\"AUTO\" >> $BSDINSTALL_TMPETC/rc.conf.services
+	echo dumpdev=\"AUTO\" >> $BSDINSTALL_TMPETC/rc.conf.services
 else
-	[ -z "$TOFILE" ] && echo dumpdev=\"NO\" >> $BSDINSTALL_TMPETC/rc.conf.services
+	echo dumpdev=\"NO\" >> $BSDINSTALL_TMPETC/rc.conf.services
 fi
-

Modified: soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/time
==============================================================================
--- soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/time	Tue Feb 24 22:02:38 2015	(r278252)
+++ soc2014/kczekirda/pxe-fai-head/tools/mfsbsd/customfiles/usr/libexec/bsdinstall/time	Tue Feb 24 22:02:49 2015	(r278253)
@@ -26,394 +26,4 @@
 #
 # $FreeBSD$
 
-if [ -z "$TOFILE" ]; then
-    chroot $BSDINSTALL_CHROOT tzsetup
-else
-	: ${DIALOG_OK=0}
-	: ${DIALOG_CANCEL=1}
-	: ${DIALOG_ESC=255}
-
-	exec 3>&1
-	TIMEZONE=`dialog --backtitle "FreeBSD Installer" \
-			--title "Time Zone Selection" \
-			--menu "Please select a country or region closest to you." \
-			0 0 0 \
-			Africa/Abidjan ""\
-			Africa/Accra ""\
-			Africa/Addis_Ababa ""\
-			Africa/Algiers ""\
-			Africa/Asmara	""\
-			Africa/Bamako	""\
-			Africa/Bangui	""\
-			Africa/Banjul	""\
-			Africa/Bissau	""\
-			Africa/Blantyre	""\
-			Africa/Brazzaville	""\
-			Africa/Bujumbura	""\
-			Africa/Cairo	""\
-			Africa/Casablanca	""\
-			Africa/Ceuta	""\
-			Africa/Conakry	""\
-			Africa/Dakar	""\
-			Africa/Dar_es_Salaam	""\
-			Africa/Djibouti	""\
-			Africa/Douala	""\
-			Africa/El_Aaiun	""\
-			Africa/Freetown	""\
-			Africa/Gaborone	""\
-			Africa/Juba	""\
-			Africa/Khartoum	""\
-			Africa/Kigali	""\
-			Africa/Kinshasa	""\
-			Africa/Lagos	""\
-			Africa/Libreville	""\
-			Africa/Lome	""\
-			Africa/Luanda	""\
-			Africa/Lubumbashi	""\
-			Africa/Malabo	""\
-			Africa/Maputo	""\
-			Africa/Maseru	""\
-			Africa/Mbabane	""\
-			Africa/Mogadishu	""\
-			Africa/Monrovia	""\
-			Africa/Nairobi	""\
-			Africa/Ndjamena	""\
-			Africa/Niamey	""\
-			Africa/Nouakchott	""\
-			Africa/Ouagadougou	""\
-			Africa/Porto-Novo	""\
-			Africa/Sao_Tome	""\
-			Africa/Tripoli	""\
-			Africa/Tunis	""\
-			Africa/Windhoek	""\
-			America/Anguilla	""\
-			America/Antigua	""\
-			America/Araguaina	""\
-			America/Argentina/Buenos_Aires	""\
-			America/Argentina/Catamarca	""\
-			America/Argentina/Cordoba	""\
-			America/Argentina/Jujuy	""\
-			America/Argentina/La_Rioja	""\
-			America/Argentina/Mendoza	""\
-			America/Argentina/Rio_Gallegos	""\
-			America/Argentina/Salta	""\
-			America/Argentina/San_Juan	""\
-			America/Argentina/San_Luis	""\
-			America/Argentina/Tucuman	""\
-			America/Argentina/Ushuaia	""\
-			America/Aruba	""\
-			America/Asuncion	""\
-			America/Atikokan	""\
-			America/Bahia	""\
-			America/Bahia_Banderas	""\
-			America/Barbados	""\
-			America/Belem	""\
-			America/Belize	""\
-			America/Blanc-Sablon	""\
-			America/Boa_Vista	""\
-			America/Bogota	""\
-			America/Cambridge_Bay	""\
-			America/Campo_Grande	""\
-			America/Cancun	""\
-			America/Cayenne	""\
-			America/Cayman	""\
-			America/Chihuahua	""\
-			America/Costa_Rica	""\
-			America/Creston	""\
-			America/Cuiaba	""\
-			America/Curacao	""\
-			America/Danmarkshavn	""\
-			America/Dawson	""\
-			America/Dawson_Creek	""\
-			America/Dominica	""\
-			America/Edmonton	""\
-			America/Eirunepe	""\
-			America/El_Salvador	""\
-			America/Fortaleza	""\
-			America/Glace_Bay	""\
-			America/Godthab	""\
-			America/Goose_Bay	""\
-			America/Grand_Turk	""\
-			America/Grenada	""\
-			America/Guadeloupe	""\
-			America/Guatemala	""\
-			America/Guayaquil	""\
-			America/Guyana	""\
-			America/Halifax	""\
-			America/Havana	""\
-			America/Hermosillo	""\
-			America/Inuvik	""\
-			America/Iqaluit	""\
-			America/Jamaica	""\
-			America/Kralendijk	""\
-			America/La_Paz	""\
-			America/Lima	""\
-			America/Lower_Princes	""\
-			America/Maceio	""\
-			America/Managua	""\
-			America/Manaus	""\
-			America/Marigot	""\
-			America/Martinique	""\
-			America/Matamoros	""\
-			America/Mazatlan	""\
-			America/Merida	""\
-			America/Mexico_City	""\
-			America/Miquelon	""\
-			America/Moncton	""\
-			America/Monterrey	""\
-			America/Montserrat	""\
-			America/Nassau	""\
-			America/Nipigon	""\
-			America/Noronha	""\
-			America/Ojinaga	""\
-			America/Panama	""\
-			America/Pangnirtung	""\
-			America/Paramaribo	""\
-			America/Port_of_Spain	""\
-			America/Port-au-Prince	""\
-			America/Porto_Velho	""\
-			America/Puerto_Rico	""\
-			America/Rainy_River	""\
-			America/Rankin_Inlet	""\
-			America/Recife	""\
-			America/Regina	""\
-			America/Resolute	""\
-			America/Rio_Branco	""\
-			America/Santa_Isabel	""\
-			America/Santarem	""\
-			America/Santiago	""\
-			America/Santo_Domingo	""\
-			America/Sao_Paulo	""\
-			America/Scoresbysund	""\
-			America/St_Barthelemy	""\
-			America/St_Johns	""\
-			America/St_Kitts	""\
-			America/St_Lucia	""\
-			America/Swift_Current	""\
-			America/Tegucigalpa	""\
-			America/Thule	""\
-			America/Thunder_Bay	""\
-			America/Tijuana	""\
-			America/Toronto	""\
-			America/Vancouver	""\
-			America/Whitehorse	""\
-			America/Winnipeg	""\
-			America/Yellowknife	""\
-			Antarctica/Casey	""\
-			Antarctica/Davis	""\
-			Antarctica/DumontDUrville	""\
-			Antarctica/Macquarie	""\
-			Antarctica/Mawson	""\
-			Antarctica/McMurdo	""\
-			Antarctica/Palmer	""\
-			Antarctica/Rothera	""\
-			Antarctica/Syowa	""\
-			Antarctica/Troll	""\
-			Antarctica/Vostok	""\
-			Arctic/Longyearbyen	""\
-			Asia/Almaty	""\
-			Asia/Amman	""\
-			Asia/Anadyr	""\
-			Asia/Aqtau	""\
-			Asia/Aqtobe	""\
-			Asia/Ashgabat	""\
-			Asia/Baghdad	""\
-			Asia/Bahrain	""\
-			Asia/Baku	""\
-			Asia/Bangkok	""\
-			Asia/Beirut	""\
-			Asia/Bishkek	""\
-			Asia/Brunei	""\
-			Asia/Choibalsan	""\
-			Asia/Chongqing	""\
-			Asia/Colombo	""\
-			Asia/Damascus	""\
-			Asia/Dhaka	""\
-			Asia/Dili	""\
-			Asia/Dubai	""\
-			Asia/Dushanbe	""\
-			Asia/Gaza	""\
-			Asia/Harbin	""\
-			Asia/Hebron	""\
-			Asia/Hong_Kong	""\
-			Asia/Hovd	""\
-			Asia/Irkutsk	""\
-			Asia/Jakarta	""\
-			Asia/Jayapura	""\
-			Asia/Jerusalem	""\
-			Asia/Kabul	""\
-			Asia/Kamchatka	""\
-			Asia/Karachi	""\
-			Asia/Kashgar	""\
-			Asia/Kathmandu	""\
-			Asia/Khandyga	""\
-			Asia/Kolkata	""\
-			Asia/Krasnoyarsk	""\
-			Asia/Kuala_Lumpur	""\
-			Asia/Kuching	""\
-			Asia/Kuwait	""\
-			Asia/Macau	""\
-			Asia/Magadan	""\
-			Asia/Makassar	""\
-			Asia/Manila	""\
-			Asia/Muscat	""\
-			Asia/Nicosia	""\
-			Asia/Novokuznetsk	""\
-			Asia/Novosibirsk	""\
-			Asia/Omsk	""\
-			Asia/Oral	""\
-			Asia/Phnom_Penh	""\
-			Asia/Pontianak	""\
-			Asia/Pyongyang	""\
-			Asia/Qatar	""\
-			Asia/Qyzylorda	""\
-			Asia/Rangoon	""\
-			Asia/Riyadh	""\
-			Asia/Sakhalin	""\
-			Asia/Seoul	""\
-			Asia/Shanghai	""\
-			Asia/Singapore	""\
-			Asia/Taipei	""\
-			Asia/Tbilisi	""\
-			Asia/Tehran	""\
-			Asia/Thimphu	""\
-			Asia/Tokyo	""\
-			Asia/Ulaanbaatar	""\
-			Asia/Urumqi	""\
-			Asia/Ust-Nera	""\
-			Asia/Vientiane	""\
-			Asia/Vladivostok	""\
-			Asia/Yakutsk	""\
-			Asia/Yekaterinburg	""\
-			Asia/Yerevan	""\
-			Atlantic/Azores	""\
-			Atlantic/Bermuda	""\
-			Atlantic/Canary	""\
-			Atlantic/Cape_Verde	""\
-			Atlantic/Faroe	""\
-			Atlantic/Madeira	""\
-			Atlantic/Reykjavik	""\
-			Atlantic/South_Georgia	""\
-			Atlantic/St_Helena	""\
-			Atlantic/Stanley	""\
-			Australia/Adelaide	""\
-			Australia/Brisbane	""\
-			Australia/Broken_Hill	""\
-			Australia/Currie	""\
-			Australia/Darwin	""\
-			Australia/Eucla	""\
-			Australia/Hobart	""\
-			Australia/Lindeman	""\
-			Australia/Lord_Howe	""\
-			Australia/Melbourne	""\
-			Australia/Perth	""\
-			Australia/Sydney	""\
-			Europe/Amsterdam	""\
-			Europe/Andorra	""\
-			Europe/Athens	""\
-			Europe/Belgrade	""\
-			Europe/Berlin	""\
-			Europe/Bratislava	""\
-			Europe/Brussels	""\
-			Europe/Bucharest	""\
-			Europe/Budapest	""\
-			Europe/Busingen	""\
-			Europe/Chisinau	""\
-			Europe/Copenhagen	""\
-			Europe/Dublin	""\
-			Europe/Gibraltar	""\
-			Europe/Guernsey	""\
-			Europe/Helsinki	""\
-			Europe/Isle_of_Man	""\
-			Europe/Istanbul	""\
-			Europe/Jersey	""\
-			Europe/Kaliningrad	""\
-			Europe/Kiev	""\
-			Europe/Lisbon	""\
-			Europe/Ljubljana	""\
-			Europe/London	""\
-			Europe/Luxembourg	""\
-			Europe/Madrid	""\
-			Europe/Malta	""\
-			Europe/Mariehamn	""\
-			Europe/Minsk	""\
-			Europe/Monaco	""\
-			Europe/Moscow	""\
-			Europe/Oslo	""\
-			Europe/Paris	""\
-			Europe/Podgorica	""\
-			Europe/Prague	""\
-			Europe/Riga	""\
-			Europe/Rome	""\
-			Europe/Samara	""\
-			Europe/San_Marino	""\
-			Europe/Sarajevo	""\
-			Europe/Simferopol	""\
-			Europe/Skopje	""\
-			Europe/Sofia	""\
-			Europe/Stockholm	""\
-			Europe/Tallinn	""\
-			Europe/Tirane	""\
-			Europe/Uzhgorod	""\
-			Europe/Vaduz	""\
-			Europe/Vienna	""\
-			Europe/Vilnius	""\
-			Europe/Volgograd	""\
-			Europe/Warsaw	""\
-			Europe/Zagreb	""\
-			Europe/Zaporozhye	""\
-			Europe/Zurich	""\
-			Indian/Antananarivo	""\
-			Indian/Chagos	""\
-			Indian/Christmas	""\
-			Indian/Cocos	""\
-			Indian/Comoro	""\
-			Indian/Kerguelen	""\
-			Indian/Mahe	""\
-			Indian/Maldives	""\
-			Indian/Mauritius	""\
-			Indian/Reunion	""\
-			Pacific/Auckland	""\
-			Pacific/Chatham	""\
-			Pacific/Chuuk	""\
-			Pacific/Easter	""\
-			Pacific/Enderbury	""\
-			Pacific/Fakaofo	""\
-			Pacific/Fiji	""\
-			Pacific/Funafuti	""\
-			Pacific/Galapagos	""\
-			Pacific/Gambier	""\
-			Pacific/Guadalcanal	""\

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201502242202.t1OM2oew098151>